// on page load with default day theme
if (typeof(Storage) !== "undefined") { // check browser support for localStorage

	// Code for localStorage/sessionStorage.
	if (localStorage.theme) {
		if (localStorage.theme == "night") {
			// append Night Theme stylesheet
			var nightlink = document.createElement("link")
			nightlink.setAttribute("rel", "stylesheet")
			nightlink.setAttribute("type", "text/css")
			nightlink.setAttribute("id", "nightcsslink")
			nightlink.setAttribute("href", "css/bi-py-plus-night_2016-08-19.css")
	
			document.head.appendChild(nightlink)
		}
	}
	else {
		// initialize localStorage.theme with value "day"
		localStorage.theme = "day"
	}
}


function switchThemes() {
	if (typeof(Storage) !== "undefined") {
		if (localStorage.theme == "day") {
			// append Night Theme stylesheet
			var switchnightlink = document.createElement("link")
			switchnightlink.setAttribute("rel", "stylesheet")
			switchnightlink.setAttribute("type", "text/css")
			switchnightlink.setAttribute("id", "nightcsslink")
			switchnightlink.setAttribute("href", "css/bi-py-plus-night_2016-08-19.css")

			document.head.appendChild(switchnightlink)

			//set localStorage.theme
			localStorage.theme = "night"
		}
		else {
			//remove Night Theme stylesheet
			document.head.removeChild(document.getElementById('nightcsslink'))

			//set localStorage.theme
			localStorage.theme = "day"
		}
	}
}